;Article 351 of fj.os.msdos:
;Path: tansei1!yayoi!ccut!s.u-tokyo!riksun!rknss1!rkna50!nttlab!icot32!sh8810!kawahara
;From: kawahara@mtc.telcom.oki.CO.JP (Taro Kawahara)
;Newsgroups: fj.os.msdos,fj.binaries.msdos.d,fj.editor.emacs,fj.jokes
;Subject: [demacs] synchronous inferior interaction shell
;Message-ID: <KAWAHARA.92Feb19113015@mtcs1.mtc.telcom.oki.CO.JP>
;Date: 19 Feb 92 02:30:15 GMT
;Sender: news@sh8810.telcom.oki.CO.JP
;Followup-To: fj.os.msdos
;Distribution: fj
;Organization: Oki Electric Industry Co.,Ltd. Tokyo, Japan.
;Lines: 187
;Xref: tansei1 fj.os.msdos:351 fj.binaries.msdos.d:472 fj.editor.emacs:888 fj.jokes:10281
;Nntp-Posting-Host: mtcs1.mtc.telcom.oki.co.jp
;
;͌Y@łB
;  Demacsł M-x gnus ƂāA[No much] Ƃ鐶
;Ă܂BdԂ̒Ńlbg[Nڑł悤ɂȂāAfj.jokesƂ
;ǂ߂悤ɂȂƂǂ̂悤ɂȂ邩lƁA킢̂肵܂B
;
;  āA
;  DemacsłȂƂAM-x shell ł悤ɂȂȂȂc ƂŁA
;shell-modeāA炵̂ɂ܂̂ŁA\
;B
;  sshell.elshell.elƋɂȂDemacsɐHׂƁAM-x sshell
;Ƃ@\ǉ܂BƂ́AĂ݂Ă݂̂̂ł傤B
;
;  ͂߂Ƃ܂Ȃc ƂA_CNgȂĐVU̓EgC
;unixłȂƎgȂƂMS-DOSȂł͂̂܂@\܂B
;
;ЁÂ݉B
;
;p.s.
;ȂAfj.os.msdosɃ|Xg̋Ĺ̕A߂Ă܂߂łB
;--
;; sshell.el
;; synchronous shell interaction under Emacs  (useful in MS-DOS version)

;; This file is part of GNU Emacs.

;; GNU Emacs is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY.  No author or distributor
;; accepts responsibility to anyone for the consequences of using it
;; or for whether it serves any particular purpose or works at all,
;; unless he says so in writing.  Refer to the GNU Emacs General Public
;; License for full details.

;; Everyone is granted permission to copy, modify and redistribute
;; GNU Emacs, but only under the conditions described in the
;; GNU Emacs General Public License.   A copy of this license is
;; supposed to have been given to you along with GNU Emacs so you
;; can know your rights and responsibilities.  It should be in a
;; file named COPYING.  Among other things, the copyright notice
;; and this notice must be preserved on all copies.

(require 'shell)
(provide 'sshell)

(defvar sshell-mode-map nil)

(defvar shell-prompt "sShell> " 
  "*synchronous shell prompt string")

(defun sshell-mode ()
  "Major mode for interacting with an inferior inferior synchronous shell.
Return at end of buffer executes the line.
Return not at end copies rest of line to end and executes it.

The following commands imitate the usual Unix interrupt and
editing control characters:
\\{sshell-mode-map}

Entry to this mode calls the value of sshell-mode-hook with no args,
if that value is non-nil.

cd, pushd and popd commands given to the shell are watched
by Emacs to keep this buffer's default directory. these commands
are not executed because shell was invoked line by line.
Variables shell-cd-regexp, shell-pushd-regexp and shell-popd-regexp
are used to match these command names.

You cannot send text to the shell's subjobs"

  (interactive)
  (kill-all-local-variables)
  (setq major-mode 'sshell-mode)
  (setq mode-name "sSHELL")
  (use-local-map sshell-mode-map)
  (make-local-variable 'shell-directory-stack)
  (setq shell-directory-stack nil)
  (make-local-variable 'last-input-start)
  (setq last-input-start (make-marker))
  (make-local-variable 'last-input-end)
  (setq last-input-end (make-marker))
  (make-local-variable 'shell-prompt)
  (run-hooks 'sshell-mode-hook))

(if sshell-mode-map
    nil
  (setq sshell-mode-map (make-sparse-keymap))
  (define-key sshell-mode-map "\C-m" 'sshell-input)
  (define-key sshell-mode-map "\C-c\C-u" 'kill-shell-input)
  (define-key sshell-mode-map "\C-c\C-o" 'kill-output-from-shell)
  (define-key sshell-mode-map "\C-c\C-r" 'show-output-from-shell)
  (define-key sshell-mode-map "\C-c\C-y" 'copy-last-shell-input))

(defun sshell-prompt ()
  "output sshell prompt and mark last-input-start"
  (goto-char (point-max))
  (or (bolp) (insert ?\n))
  (insert shell-prompt)
  (move-marker last-input-start (point)))

(defun sshell ()
  "Run an inferior inferior synchronous shell, with I/O through
buffer *shell*. see also sshell-mode describe..."

  (interactive)
  (switch-to-buffer (get-buffer-create "*sShell*"))
  (sshell-mode)
  (sshell-prompt))
  
(defun sshell-input ()
  "execute current line"
  (interactive)
  (end-of-line)
  (if (eobp)
      (progn
	(insert ?\n)
	(move-marker last-input-end (point)))
    (beginning-of-line)
    (re-search-forward shell-prompt-pattern
		       (save-excursion (end-of-line) (point))
		       t)
    (let ((copy (buffer-substring (point)
				  (progn (forward-line 1) (point)))))
      (goto-char (point-max))
      (move-marker last-input-start (point))
      (insert copy)
      (move-marker last-input-end (point))))
  (sit-for 0)

  ;;; pushd popd cd  hacking 

  (save-excursion 
    (goto-char last-input-start)
    (cond ((and (looking-at shell-popd-regexp)
		(memq (char-after (match-end 0)) '(?\; ?\n)))
	   (if shell-directory-stack
	       (progn
		 (cd (car shell-directory-stack))
		 (setq shell-directory-stack (cdr shell-directory-stack)))))
	  ((looking-at shell-pushd-regexp)
	   (cond ((memq (char-after (match-end 0)) '(?\; ?\n))
		  (if shell-directory-stack
		      (let ((old default-directory))
			(cd (car shell-directory-stack))
			(setq shell-directory-stack
			      (cons old (cdr shell-directory-stack))))))
		 ((memq (char-after (match-end 0)) '(?\  ?\t))
		  (let (dir)
		    (skip-chars-forward "^ ")
		    (skip-chars-forward " \t")
		    (if (file-directory-p
			 (setq dir
			       (expand-file-name
				(substitute-in-file-name
				 (buffer-substring
				  (point)
				  (progn
				    (skip-chars-forward "^\n \t;")
				    (point)))))))
			(progn
			  (setq shell-directory-stack
				(cons default-directory shell-directory-stack))
			  (cd dir)))))))
	  ((looking-at shell-cd-regexp)
	   (cond ((memq (char-after (match-end 0)) '(?\; ?\n))
		  (cd (getenv "HOME")))
		 ((memq (char-after (match-end 0)) '(?\  ?\t))
		  (let (dir)
		    (forward-char 3)
		    (skip-chars-forward " \t")
		    (if (file-directory-p
			 (setq dir
			       (expand-file-name
				(substitute-in-file-name
				 (buffer-substring
				  (point)
				  (progn
				    (skip-chars-forward "^\n \t;")
				    (point)))))))
			(cd dir))))))
	  (t 
	   (goto-char (point-max))
	   (shell-command 
	    (buffer-substring last-input-start 
			      (save-excursion
				(goto-char last-input-end)
				(backward-char)
				(point))) t))))
  (sshell-prompt))
